Fetch source type
Use this endpoint to fetch the details for a specific type of source connection that can be created in the current workspace. This is particularly useful for Activations in Powered by Fivetran solutions when determining the required values to authorize a new source connection.
Request schema
Path parameters
Name of the source type to retrieve
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
GET /api/v1/source_types/{service_name} HTTP/1.1 Authorization: Bearer REPLACE_BEARER_TOKEN Host: app.getcensus.com
Responses
200
The outcome of the fetch request
The path to this source type's Census documentation, ie https://docs.getcensus.com/sources/available-sources/{documentation_slug}.
The name of this source type.
The full name for this source type. This is used to identify the source type in the API
Whether you can create connections of this type using the Create Source API. If you'd like to create a source via API that isn't marked as creatable_via_api, reach out to us.
Whether you can create connections of this type using Census Connect Links. If you'd like to create a source via Connect Link that isn't currently supported, please reach out to us.
Top level object containing a list of fields needed to create a source connection of this type.
The name of this configuration field. This is used to identify the credential in the API to create a connection of this type.
Validations around this field, ie 'required'
A user facing name for this field
The type of this field
A placeholder for this field, usually an example of its value
A regex string the value must match
If this is a credential field that contains sensitive data
If this credential accepts a finite list of values, what those values are
A link to read more about this destination, usually linking to the Census docs.
A hint to the user about this field, such as instructions for how to find the value
Controls the visibility of this field in the UI based on the values of other fields. This is commonly used for source and destination types that support multiple authentication methods.
When show is true, the field is always visible. When show is an object, it contains conditional logic using if or unless:
- if: The field is shown when the specified condition is met
- unless: The field is hidden when the specified condition is met
The eq value can be either a boolean or a string, depending on the field being referenced.
For example, in Snowflake which supports both password and keypair authentication:
- The password field has "show": {"unless": {"use_keypair": {"eq": true}}} - shown only when keypair auth is disabled (boolean)
- The private_key_pkcs8 field has "show": {"if": {"use_keypair": {"eq": true}}} - shown only when keypair auth is enabled (boolean)
Condition object specifying when to show this field. The field is shown when the condition evaluates to true.
additional property
The value (boolean or string) the referenced field must equal for this field to be shown.
Condition object specifying when to hide this field. The field is hidden when the condition evaluates to true.
additional property
The value (boolean or string) the referenced field must equal for this field to be hidden.
Specifies conditions under which this field becomes required, even if it's not listed in the rules array as required. This is used when a field's requirement status depends on the values of other fields.
When conditionally_required is null, the field's requirement is determined solely by the rules array. When it's an object, it contains conditional logic using if or unless:
- if: The field becomes required when the specified condition is met
- unless: The field is not required when the specified condition is met
The eq value can be either a boolean or a string, depending on the field being referenced.
A field could also use unless with a boolean, such as: {"unless": {"use_keypair": {"eq": true}}} - required unless keypair auth is enabled
Condition object specifying when this field becomes required. The field is required when the condition evaluates to true.
additional property
The value (boolean or string) the referenced field must equal for this field to become required.
Condition object specifying when this field is not required. The field is not required when the condition evaluates to true.
additional property
The value (boolean or string) the referenced field must equal for this field to not be required.
Describes the UI input type for this credential field. All input types have a type field, and some types include additional properties.
Simple input types (only type field):
- textbox: Single-line text input
- textarea: Multi-line text input
- toggle: Boolean toggle switch
Complex input types (additional fields):
- select: Dropdown with predefined options
- allow_manual_inputs (boolean): Whether users can input custom values
- See possible_values field for the list of options
- radio: Radio button selection
- options (object): Map of values to tile configurations with label, description, icon, and coming_soon
- hide_check_bubble (boolean): Whether to hide the selection indicator
The input type identifier
For select type only. Whether users can input custom values not in the predefined list.
For radio type only. Map of values to tile configuration objects.
additional property
For radio type only. Whether to hide the selection indicator.
Indicates if this source type supports warehouse writeback.
404
HTTP status code.
{ "status": "success", "data": { "documentation_slug": "snowflake", "label": "Snowflake", "service_name": "snowflake", "supported_sync_engines": [ "advanced" ], "creatable_via_api": true, "creatable_via_connect_link": true, "configuration_fields": { "fields": [ { "id": "instance_url", "rules": "required", "label": "Endpoint URL", "type": "string", "placholder": "https://rest.iad-01.braze.com", "matches": "^(?:(?=.*rest)https:\\\\/\\\\/rest|(?!.*rest)(https:\\\\/\\\\/)?sdk)\\\\.(iad|fra)-\\\\d\\\\d\\\\.braze\\\\.(com|eu)", "is_password_type_field": false, "possible_values": [ "string" ], "read_more": "https://docs.getcensus.com/destinations/available-destinations/hubspot#managing-object-associations", "hint": "You can find your API key in the YourService UI under Settings > Integrations > API Key\n", "show": true, "conditionally_required": { "if": { "auth_type": { "eq": "system_user" } } }, "input_type": { "type": "textbox" } } ] }, "supports_warehouse_writeback": true } }